fedora.init

来自「linux防火墙源代码 需要用的人自己下载看看 程序比较简单啊」· INIT 代码 · 共 102 行

INIT
102
字号
#!/bin/sh## Init file for the Firestarter firewall## chkconfig: 2345 11 92## description: Starts, stops, and lock the firewall## Script Authors:#	Tomas Junnonen <majix@sci.fi>#	Paul Drain <pd@cipherfunk.org>## config: /etc/firestarter/configuration# Source function library.. /etc/init.d/functions# Source networking configuration. /etc/sysconfig/network# Check that networking is up.[ ${NETWORKING} = "no" ] && exit 0FS_CONTROL="/etc/firestarter/firestarter.sh"[ -x $FS_CONTROL ] || exit 0[ -s /etc/firestarter/configuration ] || exit 0RETVAL=0start() {	echo -n "Starting the Firestarter firewall: "	$FS_CONTROL start > /dev/null	RETVAL=$?	if [ $RETVAL -eq 0 ]; then		success	else		failure	fi	echo	return $RETVAL}stop() {	echo -n "Stopping the Firestarter firewall:"	$FS_CONTROL stop > /dev/null	RETVAL=$?	if [ $RETVAL -eq 0 ]; then		success	else		failure	fi	echo	return $RETVAL}lock() {	echo -n "Locking the Firestarter firewall:"	$FS_CONTROL lock > /dev/null	RETVAL=$?	if [ $RETVAL -eq 0 ]; then		success	else		failure	fi	echo	return $RETVAL}# See how we were called.case "$1" in  start)	start	RETVAL=$?	;;  stop)	stop	RETVAL=$?	;;  restart)	stop	start	RETVAL=$?	;;  lock)	lock	RETVAL=$?	;;  status)	if [ -e /var/lock/subsys/firestarter -o -e /var/lock/firestarter ]; then		echo "Firestarter is running..."	else		echo "Firestarter is stopped"	fi	RETVAL=$?	;;  *)	echo "Usage: firestarter {start|stop|restart|lock|status}"	exit 1esacexit $RETVAL

⌨️ 快捷键说明

复制代码Ctrl + C
搜索代码Ctrl + F
全屏模式F11
增大字号Ctrl + =
减小字号Ctrl + -
显示快捷键?